Runtime

## org.eclipse.gmf.runtime.common.ui.services.statusline
Class GetStatusLineContributionOperation

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.statusline.GetStatusLineContributionOperation

All Implemented Interfaces:
  IOperation

    public class GetStatusLineContributionOperation

extends java.lang.Object
implements IOperation

The parent of all status line items.

Since:
  1.2

Constructor Summary
`GetStatusLineContributionOperation(IWorkbenchPage workbenchPage)` Constructor for a GetStatusLineContributionOperation.

Method Summary
`java.lang.Object` `execute(IProvider provider)` Executes this operation on the specified provider.
`IWorkbenchPage` `getWorkbenchPage()` Gets the workbench page as a hint.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetStatusLineContributionOperation

    public GetStatusLineContributionOperation(IWorkbenchPage workbenchPage)

  Constructor for a GetStatusLineContributionOperation.

  Parameters:
    `part` - the workbench part.

Method Detail

### execute

    public java.lang.Object execute(IProvider provider)

  Description copied from interface: `IOperation`
  Executes this operation on the specified provider.

  Service implementers generally implement this method by first casting the provider to their service specific `IProvider`-derived class and then by delegating it the execution. Delegation is accomplished through the service specific provider derived class API.

  Specified by:
    `execute` in interface `IOperation`
  Parameters:
    `provider` - The provider on which to execute the operation.
  Returns:
    The result of executing this operation.

### getWorkbenchPage

    public IWorkbenchPage getWorkbenchPage()

  Gets the workbench page as a hint.

  Returns:
    the workbench page.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.